import { default as IConvert } from './convertInterface';
import { StyleVar } from '../type';

export default class ArrayConvert<T> implements IConvert<Array<T>> {
    private itemConvert;
    private splitStr;
    constructor(itemConvert: IConvert<T>, splitStr?: string);
    compare(v1?: Array<T>, v2?: Array<T> | undefined): boolean;
    toString(value?: Array<T>, styleVarMap?: Record<string, StyleVar.Desc>): string | undefined;
    toStyle(value?: string): Array<T> | undefined;
}
